---
title: UIEvent.view
slug: Web/API/UIEvent/view
tags:
  - API
  - DOM
  - NeedsLiveExample
  - Property
  - Read-only
  - Reference
  - UIEvent
---
<p>{{APIRef("DOM Events")}}</p>

<p>The <strong><code>UIEvent.view</code></strong> read-only property returns the {{domxref("WindowProxy")}} object from which the event was generated. In browsers, this is the {{ domxref("Window") }} object the event happened in.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>view</em> = <em>event</em>.view;
</pre>

<ul>
 <li><code>view</code> is a reference to an <code>AbstractView</code> object.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#interface-UIEvent', 'UIEvent')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>From {{SpecName('DOM2 Events')}}, changed the type of <code>view</code> from <code>AbstractView</code> to <code>WindowProxy</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events', '#Events-UIEvent', 'UIEvent')}}</td>
   <td>{{Spec2('DOM2 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.UIEvent.view")}}</p>
